package com.fs.doctor.service;

import java.util.List;
import com.fs.doctor.domain.WithdrawRecords;
import com.fs.doctor.vo.DoctorRecordAuditInfoVO;

/**
 * 医生提现记录Service接口
 * 
 * @author fs
 * @date 2026-01-27
 */
public interface IWithdrawRecordsService 
{
    /**
     * 查询医生提现记录
     * 
     * @param withdrawId 医生提现记录主键
     * @return 医生提现记录
     */
    public WithdrawRecords selectWithdrawRecordsByWithdrawId(Long withdrawId);

    /**
     * 查询医生提现记录列表
     * 
     * @param withdrawRecords 医生提现记录
     * @return 医生提现记录集合
     */
    public List<WithdrawRecords> selectWithdrawRecordsList(WithdrawRecords withdrawRecords);

    /**
     * 新增医生提现记录
     * 
     * @param withdrawRecords 医生提现记录
     * @return 结果
     */
    public int insertWithdrawRecords(WithdrawRecords withdrawRecords);

    /**
     * 修改医生提现记录
     * 
     * @param withdrawRecords 医生提现记录
     * @return 结果
     */
    public int updateWithdrawRecords(WithdrawRecords withdrawRecords);

    /**
     * 批量删除医生提现记录
     * 
     * @param withdrawIds 需要删除的医生提现记录主键集合
     * @return 结果
     */
    public int deleteWithdrawRecordsByWithdrawIds(String[] withdrawIds);

    /**
     * 删除医生提现记录信息
     * 
     * @param withdrawId 医生提现记录主键
     * @return 结果
     */
    public int deleteWithdrawRecordsByWithdrawId(String withdrawId);

    int auditWithdraw(WithdrawRecords withdrawRecords);

    DoctorRecordAuditInfoVO getRecordAuditInfo(Long withdrawRecordId);
}
